wxWidgets: wxRegionIterator Class Reference

| Version: 3.0.4

Public Member Functions | List of all members
wxRegionIterator Class Reference
Class List by Category » Graphics Device Interface (GDI)

`#include </usr/src/ports/wxWidgets3.0/wxWidgets3.0-3.0.4-1.i686/src/wxWidgets-3.0.4/interface/wx/region.h>`

Inheritance diagram for wxRegionIterator:
[legend]

## Detailed Description

This class is used to iterate through the rectangles in a region, typically when examining the damaged regions of a window within an OnPaint call.

To use it, construct an iterator object on the stack and loop through the regions, testing the object and incrementing the iterator at the end of the loop.

See wxPaintEvent for an example of use.

##

Library: wxCore

<>< =''>:</>&;&;< =''>\ </></>

Predefined objects/pointers: wxNullRegion

See also
  wxPaintEvent

## Public Member Functions
| wxRegionIterator ()
| Default constructor. More...
| wxRegionIterator (const wxRegion &region)
| Creates an iterator object given a region. More...
wxCoord | GetH () const
| An alias for GetHeight(). More...
wxCoord | GetHeight () const
| Returns the height value for the current region. More...
wxRect | GetRect () const
| Returns the current rectangle. More...
wxCoord | GetW () const
| An alias for GetWidth(). More...
wxCoord | GetWidth () const
| Returns the width value for the current region. More...
wxCoord | GetX () const
| Returns the x value for the current region. More...
wxCoord | GetY () const
| Returns the y value for the current region. More...
bool | HaveRects () const
| Returns true if there are still some rectangles; otherwise returns false. More...
void | Reset ()
| Resets the iterator to the beginning of the rectangles. More...
void | Reset (const wxRegion &region)
| Resets the iterator to the given region. More...
wxRegionIterator & | operator++ ()
| Increment operator. More...
| operator bool () const
| Returns true if there are still some rectangles; otherwise returns false. More...
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data. More...
| wxObject (const wxObject &other)
| Copy ctor. More...
virtual | ~wxObject ()
| Destructor. More...
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar). More...
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object. More...
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class. More...
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj. More...
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone. More...
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer. More...
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data. More...
void | UnShare ()
| This is the same of AllocExclusive() but this method is public. More...
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined. More...
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined. More...

## Additional Inherited Members
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object. More...
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it. More...
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data. More...
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data. More...

## Constructor & Destructor Documentation

## ◆ wxRegionIterator() [1/2]

wxRegionIterator::wxRegionIterator | ( |  | ) |

Default constructor.

## ◆ wxRegionIterator() [2/2]

wxRegionIterator::wxRegionIterator | ( | const wxRegion & | region | ) |

Creates an iterator object given a region.

## Member Function Documentation

## ◆ GetH()

wxCoord wxRegionIterator::GetH | ( |  | ) | const

An alias for GetHeight().

## ◆ GetHeight()

wxCoord wxRegionIterator::GetHeight | ( |  | ) | const

Returns the height value for the current region.

## ◆ GetRect()

wxRect wxRegionIterator::GetRect | ( |  | ) | const

Returns the current rectangle.

## ◆ GetW()

wxCoord wxRegionIterator::GetW | ( |  | ) | const

An alias for GetWidth().

## ◆ GetWidth()

wxCoord wxRegionIterator::GetWidth | ( |  | ) | const

Returns the width value for the current region.

## ◆ GetX()

wxCoord wxRegionIterator::GetX | ( |  | ) | const

Returns the x value for the current region.

## ◆ GetY()

wxCoord wxRegionIterator::GetY | ( |  | ) | const

Returns the y value for the current region.

## ◆ HaveRects()

bool wxRegionIterator::HaveRects | ( |  | ) | const

Returns true if there are still some rectangles; otherwise returns false.

## ◆ operator bool()

wxRegionIterator::operator bool | ( |  | ) | const

Returns true if there are still some rectangles; otherwise returns false.

You can use this to test the iterator object as if it were of type `bool`.

## ◆ operator++()

wxRegionIterator& wxRegionIterator::operator++ | ( |  | ) |

Increment operator.

Increments the iterator to the next region.

## ◆ Reset() [1/2]

void wxRegionIterator::Reset | ( |  | ) |

Resets the iterator to the beginning of the rectangles.

## ◆ Reset() [2/2]

void wxRegionIterator::Reset | ( | const wxRegion & | region | ) |

Resets the iterator to the given region.